html {
    font-size: 62.5%;
}

body {
    margin: 0;
    font-family: 'Poppins';
}

.wrapper {
    max-width: 1200px;
    margin: 0 auto;
}

.logo {
    color: black;
    background-color: hwb(188 0% 0%);
    font-size: 5.2rem;
    font-family: 'Playfair Display';
    padding: 20px;
    float: left;
    padding-top: 10px;
    font-weight: bold;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav {
    margin: 4em;
    margin-bottom: 0;
}

nav ul {
    list-style-type: none;
    display: flex;
    gap: 4.1rem;
    margin: 0;
}

nav ul li a {
    text-decoration: none;
    color: black;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 1.6rem;
    position: relative;
}

nav ul li a.active:before {
    position: absolute;
    content: "";
    width: 35%;
    height: 1px;
    border-bottom: 2px solid black;
    bottom: -6px;
}

.navbar-toggle {
    display: none;
}

@media (max-width: 600px) {
    nav ul {
        flex-wrap: wrap
    }

    nav ul li a {
        display: none;
        width: 100%;
        text-align: center;
    }

    .navbar-toggle {
        display: block;
    }

    nav.active {
        display: block;
    }
}
        
 
nav ul li a:before {
    position: absolute;
    content: "";
    width: 0%;
    height: 1px;
    border-bottom: 2px solid rgb(122, 122, 122);
    bottom: -6px;
    transition: width .3s;
}

main {
    display: flex;
    gap: 8em;
    margin-top: 6em;
}

.left-col {
    width: 45%;
}

.right-col {
    flex-grow: 1;
}

h1 {
    font-size: 5.2rem;
    font-family: 'Playfair Display';
    font-weight: normal;
    margin: 2rem;
}

.subhead {
    font-size: 1.8rem;
}

.primary-cta {
    background-color: hwb(188 0% 0%);
    font-size: 1.8rem;
    font-weight: bold;
    color: black;
    text-decoration: none;
    border-radius: 1.9em;
    padding: 1em 2em;
}

.container {
    max-width: 800px;
    margin: 0 auto;
    padding: 30px;
}

.contact-form {
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
}

.input-group {
    margin-bottom: 20px;
}

.input-group label {
    display: block;
    margin-bottom: 5px;
    font-size: 1.4rem;
}

.input-group input,
.input-group textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.input-group textarea {
    resize: vertical;
}

button {
    background-color: hwb(188 0% 0%);
    color: black;
    border: none;
    cursor: pointer;
    font-weight: bold;
    font-size: 1.8rem;
    text-decoration: none;
    border-radius: 1.9em;
    padding: 1em 2em;
}

button:hover {
background: #E2D1BD}


.right-col {
    display: grid;
    gap: 2.3em;
    grid-template-columns: repeat(2, auto);
    grid-template-areas:
        "left ."
        "left .";
}

.card {
    border-radius: .8em;
    padding: 1.1em;
    display: flex;
    align-items: end;
    background-size: 100%;
    transition: background-size 800ms;
    background-size: cover;
    background-repeat: no-repeat;
}

.card1 {
    grid-area: left;
    background-image: url('image1.jpg');
    position: relative;
}

.card2 {
    background-image: url('image2.jpg');
}

.card3 {
    background-image: url('image3.jpg');
}

.card-details {
    background: white;
    border-radius: .6em;
    padding: 2em;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: transform 800ms ease-in-out;
}

.card-details a {
    color: black;
    text-decoration: none;
    font-size: 1.6rem;
    font-weight: bold;
}

.card-details p {
    font-size: 1.4rem;
    margin: 0;
}

nav ul li a:hover:before {
    width: 35%;
}

.primary-cta:hover {
    background: #E2D1BD;
}

.card:hover {
    transform: scale(1.05);
}

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 0.6em ;
}

.footer {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 1em;
    bottom: 0;
}

.container {
    max-width: 100%;
    margin: 0 auto;
    padding: 0 2em;   
}

.social-icons {
    margin-bottom: 10px;
}

.social-icon {
    display: inline-block;
    margin: 0 10px;
    font-size: 24px;
    color: white;
    text-decoration: none;
    
    transition: color 0.3s;
}

.social-icon:hover {
    color: #00aced; 
}

.footer p {
    margin-top: 10px;
}
